local M = {}

local helper = require('scenario/scenariohelper')

local function onRaceStart()
    helper.setAiMode('john', 'stop')
end

local function onRaceWaypoint(data)
    if data.waypointName == 'WayPoint3' then
        helper.flashUiMessage('John pulls the gears into action and accelerates away; stop his car!', 5)
        helper.setAiMode('John', 'flee')
        helper.setAiAggression('John', 1.5)
    end
end

M.onRaceWaypoint = onRaceWaypoint
M.onRaceStart = onRaceStart

return M